import { Location } from "@nativescript/geolocation";
export declare class Geolocation extends Location {
    constructor(location: Location | GeolocationLike);
    distance(to: Location | GeolocationLike): number;
}
export interface GeolocationLike {
    latitude: number;
    longitude: number;
    altitude?: number;
    horizontalAccuracy?: number;
    verticalAccuracy?: number;
    speed?: number;
    direction?: number;
    timestamp?: Date;
}
