import { Observable } from "@nativescript/core";
import { getActivityRecognizer, Resolution, } from "./activity-recognition";
import { getGeolocationProvider } from "./geolocation";
const recognizerTypes = [Resolution.LOW, Resolution.MEDIUM];
export class Common extends Observable {
    async init() {
        await Promise.all(recognizerTypes.map((recognizerType) => getActivityRecognizer(recognizerType).setup()));
    }
    getActivityRecognizer(resolution) {
        return getActivityRecognizer(resolution);
    }
    get geolocationProvider() {
        return getGeolocationProvider();
    }
}
//# sourceMappingURL=context-apis.common.js.map